Commit 54a28300 authored by mathieui's avatar mathieui

Documentation update

parent 32bf5a2b
Installing Poezio Installing poezio
================= =================
.. important:: Python 3.2 or better is highly recommended, as we do not .. important:: Python 3.2 or better is highly recommended, as we do not
officially support python 3.1 (although we do try to keep things running). officially support python 3.1 (although we do try to keep things running).
Poezio in the GNU/Linux distributions poezio in the GNU/Linux distributions
------------------------------------- -------------------------------------
As far as I know, Poezio is available in the following distributions, you just As far as I know, Poezio is available in the following distributions, you just
have to install it by using the package manager of the distribution, if you're have to install it by using the package manager of the distribution, if you're
using one of these. using one of these.
- *Archlinux*: A poezio and poezio-git packages are in AUR (use your favourite - *Archlinux*: A poezio_ and poezio-git_ packages are in AUR (use your favourite
AUR wrapper to install them) AUR wrapper to install them)
- *Gentoo*: `Sekh’s overlay`_ contains everything required to build poezio - *Gentoo*: `Sekh’s overlay`_ contains everything required to build poezio
(sleekxmpp, dnspython, and poezio) (sleekxmpp, dnspython, and poezio)
- *Debian*: Use an other distro. (or make a package, we can provide help :) ) - *Debian*: Use an other distro. (or make a package, we can provide help :) )
(If an other distribution provides a poezio package, please tell us and we will (If an other distribution provides a poezio package, please tell us and we will
add it to the list) add it to the list)
Install poezio from the sources Install poezio from the sources
------------------------------- -------------------------------
...@@ -29,16 +29,13 @@ version (trunk), using git: ...@@ -29,16 +29,13 @@ version (trunk), using git:
.. code-block:: bash .. code-block:: bash
git clone https://git.louiz.org/poezio git clone git://git.poez.io/poezio
.. note:: To clone the repo, which uses a self-signed certificated, you can
prefix the clone command with GIT_SSL_NO_VERIFY=1.
In order for poezio to correctly work, you need the libs SleekXMPP and In order for poezio to correctly work, you need the libs SleekXMPP and
dnspython. You can install them by downloading it from the `SleekXMPP`_ dnspython. You can install them by downloading it from the `SleekXMPP`_
page and the `dnspython`_ page , but you'll need the development page and the `dnspython`_ page , but you'll need the development
version of SleekXMPP. Alternatively, you can download poezio's sources version of SleekXMPP. Alternatively, you can download poezio's sources
including SleekXMPP and dnspython, that's the easier way. including SleekXMPP and dnspython, that's the easier way.
"""""""""""" """"""""""""
Dependencies Dependencies
...@@ -90,9 +87,14 @@ And do the same again: ...@@ -90,9 +87,14 @@ And do the same again:
.. _poezio-install-label: .. _poezio-install-label:
""""""""""""""""""" """""""""""""""""""
Poezio installation poezio installation
""""""""""""""""""" """""""""""""""""""
.. note::
The update.sh + launch.sh method is the recommended way of using and upgrading
poezio.
If you skipped the installation of the dependencies and you only want to test If you skipped the installation of the dependencies and you only want to test
poezio without a system-wide install, do, in the *poezio* directory: poezio without a system-wide install, do, in the *poezio* directory:
...@@ -101,11 +103,11 @@ poezio without a system-wide install, do, in the *poezio* directory: ...@@ -101,11 +103,11 @@ poezio without a system-wide install, do, in the *poezio* directory:
./update.sh ./update.sh
If you have git installed, it will download and update locally the If you have git installed, it will download and update locally the
libraries for you. (and if you don’t have git installed, install it) libraries for you. (and if you don’t have git installed, install it)
If you don't want to install poezio but just test it (or keep a development If you don't want to install poezio but just test it (or keep a development
version), do: version), do:
.. code-block:: bash .. code-block:: bash
...@@ -127,3 +129,5 @@ And then start it with: ...@@ -127,3 +129,5 @@ And then start it with:
.. _stable sources: https://dev.louiz.org/project/poezio/download .. _stable sources: https://dev.louiz.org/project/poezio/download
.. _SleekXMPP: https://github.com/fritzy/SleekXMPP/ .. _SleekXMPP: https://github.com/fritzy/SleekXMPP/
.. _dnspython: http://www.dnspython.org/ .. _dnspython: http://www.dnspython.org/
.. _poezio: https://aur.archlinux.org/packages/poezio/
.. _poezio-git: https://aur.archlinux.org/packages/poezio-git/
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
{% block rootrellink %} {% block rootrellink %}
<li><img src="{{ pathto('_static/poezio.png', 1) }}" alt="" <li><img src="{{ pathto('_static/poezio.png', 1) }}" alt=""
style="vertical-align: middle; margin-top: -1px"/></li> style="vertical-align: middle; margin-top: -1px"/></li>
<li><a href="http://poezio.eu/">Poezio</a>{{ reldelim1 }}</li> <li><a href="http://poez.io/">Poezio</a>{{ reldelim1 }}</li>
<li> <li>
<a href="{{ pathto('index') }}">{{ shorttitle }}</a>{{ reldelim1 }} <a href="{{ pathto('index') }}">{{ shorttitle }}</a>{{ reldelim1 }}
</li> </li>
......
...@@ -7,3 +7,4 @@ class NotOTRMessage: pass ...@@ -7,3 +7,4 @@ class NotOTRMessage: pass
STATE_ENCRYPTED, STATE_PLAINTEXT, STATE_FINISHED = 1, 1, 1 STATE_ENCRYPTED, STATE_PLAINTEXT, STATE_FINISHED = 1, 1, 1
class Context: pass class Context: pass
class Account: pass class Account: pass
class crypt: pass
...@@ -131,7 +131,7 @@ Configuration ...@@ -131,7 +131,7 @@ Configuration
Allow OTRv1 Allow OTRv1
The :term:`allow_v1`` and :term:`allow_v2` configuration parameters are tab-specific. The :term:`allow_v1` and :term:`allow_v2` configuration parameters are tab-specific.
Important details Important details
----------------- -----------------
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment